<?php
/*
Plugin Name: Peter's "Temporarily Disable Comments" Plugin for WordPress
Plugin URI: http://www.theblog.ca/?p=124
Description: Temporarily disable comments (for whatever reason). This should be combined with temporarily disabling the display of the comment form in your template file (instructions are at http://www.theblog.ca/?p=124). To re-enable comments, simply de-activate this plugin and re-enable the display of the comment form.
Author: Peter Keung
Version: 1.0
Author URI: http://www.theblog.ca/
Change Log:
2007-05-21  First version.
*/

// -----------------------------------------------------------------------------------
// Customize these parts if you want to change the defaults.

// Set this to equal TRUE if you want to allow trackbacks
$tdc_allowtrack = false;

// Set this to equal TRUE if you want to allow pingbacks
$tdc_allowping = false;

// -----------------------------------------------------------------------------------
// You should not need to (and probably shouldn't) edit anything from here to the end.

	class PeterNoComments
	{
		function PeterNoComments()
		{
			add_filter( 'preprocess_comment', array( &$this, 'tdc_comments_post') );    // add post comment post security code check
		}

		function tdc_comments_post( $incoming_comment )
		{
			global $tdc_allowtrack, $tdc_allowping;
				$istrackping = $incoming_comment['comment_type'];
				if ( $istrackping == 'pingback' && $tdc_allowping ) {
				}
				elseif ( $istrackping == 'trackback' && $tdc_allowtrack ) {
				}
				else
				{
					die( __('Error: Comments have been temporarily disabled.') );
				}
			return( $incoming_comment );
		}
	}
	new PeterNoComments();
?>